PHP Manual
Prev |  | Next

# DOMElement->setAttribute()

(no version information, might be only in CVS)

DOMElement->setAttribute() -- Adds new attribute

## Description

class DOMElement {
bool setAttribute ( string name, string value )
}

Sets an attribute with name `name` to the given value. If the attribute does not exist, it will be created.

## Parameters

`name`

  The name of the attribute.

`value`

  The value of the attribute.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## Examples

Example 1. Setting an attribute

`<?php $doc = new DOMDocument("1.0"); $node = $doc->createElement("para"); $newnode = $doc->appendChild($node); $newnode->setAttribute("align", "left"); ?>`

## See Also

DOMElement->hasAttribute()
DOMElement->getAttribute()
DOMElement->removeAttribute()

Prev | Home | Next
DOMElement->removeAttributeNS() | Up | DOMElement->setAttributeNode()